#
# WARNING, READ FIRST:
#
# This is a special package that needs special treatment. Due to the amount of
# security updates it needs, it's common to ship new upstream versions instead of patching.
# That means this package MUST be BUILDABLE for stable official releases.
# This also means only STABLE upstream releases, NO betas.
# This is a discussed topic. Please, do not flame it again.

# (tpg) DO NOT FORGET TO SET EXACT XULRUNNER and FIREFOX VERSIONS !
%define ffver 15.0
%define version_internal 15.0

# (tpg) define release here
%if %mandriva_branch == Cooker
# Cooker
%define release 1
%else
# Old distros
%define subrel 1
%define release %mkrel 0
%endif

# (tpg) DO NOT FORGET TO SET EXACT MAJOR!
# in this case %{major} == %{version_internal}
%define major %{version_internal}
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d
%define develunstname %mklibname %{name}-unstable -d
%define sname firefox

# (tpg) various directory defines
%define mozappdir %{_libdir}/%{name}-%{version_internal}

%define nss_libname %mklibname nss 3
%define nspr_libname %mklibname nspr 4

# this seems fragile, so require the exact version or later (#58754)
%define sqlite3_version %(pkg-config --modversion sqlite3 &>/dev/null && pkg-config --modversion sqlite3 2>/dev/null || echo 0)
%define nss_version %(pkg-config --modversion nss &>/dev/null && pkg-config --modversion nss 2>/dev/null || echo 0)

%define _use_syshunspell 1

Summary:	XUL Runtime for Gecko Applications
Name:		xulrunner
Version:	%{version_internal}
Release:	%{release}
License:	MPLv1.1 or GPLv2+ or LGPLv2+
Group:		Development/Other
Url:		http://developer.mozilla.org/en/docs/XULRunner
Source0:	ftp://ftp.mozilla.org/pub/mozilla.org/%{sname}/releases/%{ffver}/source/%{sname}-%{ffver}.source.tar.bz2
Patch0:		mozilla-nongnome-proxies.patch
Patch1:		xulrunner-9.0-pluginsdir2.patch
Patch2:		xulrunner-1.9.0.1-version.patch
Patch3:		xulrunner-2.0-pkgconfig.patch
Patch4:		xulrunner-1.9.2-public-opearator-delete.patch
Patch6:		firefox-10.0.2-libvpx-1.0.0.diff
# https://bugzilla.mozilla.org/show_bug.cgi?id=759320
Patch7:		0001-mageia-multiarch-fix-for-python-virtualenv.patch
Patch8:		firefox-15.0-xargs_fix.diff
BuildRequires:	autoconf2.1
BuildRequires:	zlib-devel
BuildRequires:	bzip2-devel
%if %mdkversion > 201100
BuildRequires:	libpng-devel >= 1.4.8
%endif
%if %_use_syshunspell
BuildRequires:	hunspell-devel
%endif
BuildRequires:	libvpx-devel >= 0.9.7
BuildRequires:	libIDL2-devel
BuildRequires:	gtk+2-devel
BuildRequires:	libxt-devel
BuildRequires:	startup-notification-devel >= 0.8
BuildRequires:	dbus-glib-devel
BuildRequires:	libevent-devel >= 1.4.7
BuildRequires:	sqlite3-devel >= 3.7.12.1
BuildRequires:	gnome-vfs2-devel
BuildRequires:	libgnome2-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	java-rpmbuild
BuildRequires:	unzip
BuildRequires:	zip
BuildRequires:	doxygen
BuildRequires:	makedepend
BuildRequires:	valgrind
BuildRequires:	libiw-devel
%if %mdkversion >= 201100
BuildRequires:	valgrind-devel
%endif
BuildRequires:	rootcerts
BuildRequires:	python
BuildRequires:  nspr-devel >= 2:4.9.0
BuildRequires:  nss-devel >= 2:3.13.3
BuildRequires:  nss-static-devel >= 2:3.13.3
BuildRequires:	pango-devel
BuildRequires:	libalsa-devel
BuildRequires:	libnotify-devel
BuildRequires:	mesagl-devel
%if %mdkversion >= 201100
BuildRequires:	cairo-devel >= 1.10
%endif
BuildRequires:	yasm >= 1.0.1
BuildRequires:	libproxy-devel >= 0.4.4
Requires:	%{libname} = %{version}-%{release}
Conflicts:	xulrunner < %{version}
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
XULRunner is a Mozilla runtime package that can be used to
bootstrap XUL+XPCOM applications that are as rich as Firefox
and Thunderbird. It will provide mechanisms for installing,
upgrading, and uninstalling these applications. XULRunner will
also provide libxul, a solution which allows the embedding of
Mozilla technologies in other projects and products.

%package -n %{libname}
Summary:        Dynamic libraries for %{name}
Group:          System/Libraries
Conflicts:	xulrunner < %{version}
Obsoletes:	%{mklibname xulrunner 1.9.2} < %{version}-%{release}
Requires:	rootcerts
# (tpg) manually pull dependancies on libnss3 and libnspr4, why ? see above
Requires:	%{nss_libname} >= 2:%{nss_version}
Requires:	%{nspr_libname} >= 2:4.9.0
# (salem) bug #42680 for noarch packages
Provides:	libxulrunner = %{version}-%{release}
Requires:	%{mklibname sqlite3_ 0} >= %{sqlite3_version}

%description -n %{libname}
Dynamic libraries for %{name}.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}
Obsoletes:	xulrunner-devel < 1.9.2
Obsoletes:	%{mklibname mozilla-firefox -d} < 0:3
Obsoletes:	%{mklibname %{name}-unstable -d}
Provides:	%{name}-devel = %{version}-%{release}
# (tpg) see above why
Requires:	nss-devel >= 2:%{nss_version}

%description -n %{develname}
Development files and headers for %{name}.

%prep

%setup -qn mozilla-release
%patch0 -p0 -b .nongnome-proxies
%patch1 -p1 -b .pluginsdir2
%patch2 -p1 -b .version
%patch3 -p1 -b .pkgconfig
%patch4 -p1 -b .public-opearator-delete

%if %mdkversion >= 201200
%patch6 -p0 -b .libvpx-1.0.0
%else
# the bundled libvpx is 0.9.2 + mozilla patches. this is fixed in 0.9.7
perl -pi -e "s|VPX_CODEC_USE_INPUT_FRAGMENTS|VPX_CODEC_USE_INPUT_PARTITION|g" configure*
perl -pi -e "s|vpx >= 1.0.0|vpx >= 0.9.7|g" configure*
%endif

%patch7 -p1
%patch8 -p0

#(tpg) correct the xulrunner version
sed -i -e 's#INTERNAL_VERSION#%{version_internal}#g' xulrunner/installer/Makefile.in

%build
# (gmoro) please dont enable all options by hand
# we need to trust firefox defaults
export MOZCONFIG=`pwd`/mozconfig
cat << EOF > $MOZCONFIG
mk_add_options MOZILLA_OFFICIAL=1
mk_add_options BUILD_OFFICIAL=1
#mk_add_options MOZ_MAKE_FLAGS="%{_smp_mflags}"
#mk_add_options MOZ_OBJDIR=@TOPSRCDIR@
mk_add_options MOZ_OBJDIR=`pwd`/objdir
ac_add_options --prefix="%{_prefix}"
ac_add_options --libdir="%{_libdir}"
ac_add_options --sysconfdir="%{_sysconfdir}"
ac_add_options --mandir="%{_mandir}"
ac_add_options --includedir="%{_includedir}"
ac_add_options --datadir="%{_datadir}"
ac_add_options --enable-application=xulrunner
ac_add_options --with-pthreads
ac_add_options --with-system-nspr
ac_add_options --with-system-nss
ac_add_options --with-system-jpeg
ac_add_options --with-system-zlib
ac_add_options --with-system-libevent
ac_add_options --with-system-libvpx
%if %mdkversion >= 201101
ac_add_options --with-system-png
%else
ac_add_options --disable-system-png
%endif
ac_add_options --with-system-bz2
ac_add_options --enable-system-sqlite
%if %mdkversion >= 201100
ac_add_options --enable-system-cairo
%else
ac_add_options --disable-system-cairo
%endif
%if %_use_syshunspell
ac_add_options --enable-system-hunspell
%endif
ac_add_options --disable-javaxpcom
ac_add_options --enable-pango
ac_add_options --enable-svg
ac_add_options --enable-canvas
ac_add_options --enable-crypto
ac_add_options --disable-crashreporter
ac_add_options --disable-installer
ac_add_options --disable-updater
ac_add_options --enable-optimize
ac_add_options --enable-jemalloc
ac_add_options --disable-wrap-malloc
ac_add_options --enable-valgrind
ac_add_options --disable-strip
ac_add_options --enable-install-strip
ac_add_options --enable-startup-notification
ac_add_options --enable-default-toolkit=cairo-gtk2
ac_add_options --enable-shared-js
ac_add_options --with-java-include-path=%{java_home}/include
ac_add_options --with-java-bin-path=%{java_home}/bin
ac_add_options --enable-image-encoder=all
ac_add_options --enable-image-decoders=all
ac_add_options --enable-places
ac_add_options --enable-storage
ac_add_options --enable-safe-browsing
ac_add_options --enable-url-classifier
%if %mdkversion >= 201100
ac_add_options --enable-gio
ac_add_options --disable-gnomevfs
%else
ac_add_options --enable-gnomevfs
%endif
ac_add_options --enable-gnomeui
ac_add_options --disable-faststart
ac_add_options --enable-smil
ac_add_options --disable-tree-freetype
ac_add_options --enable-canvas3d
ac_add_options --disable-coretext
ac_add_options --enable-extensions=default
ac_add_options --enable-necko-protocols=all
ac_add_options --disable-necko-wifi
ac_add_options --disable-tests
ac_add_options --disable-mochitest
ac_add_options --enable-xtf
ac_add_options --enable-wave
ac_add_options --enable-ogg
ac_add_options --enable-xpcom-fastload
ac_add_options --enable-dbus
ac_add_options --enable-libproxy
ac_add_options --enable-chrome-format=jar
ac_add_options --with-distribution-id=com.mandriva
ac_add_options --disable-cpp-exceptions
EOF

# Mozilla builds with -Wall with exception of a few warnings which show up
# everywhere in the code; so, don't override that.
#
# Disable C++ exceptions since Mozilla code is not exception-safe
#
MOZ_OPT_FLAGS=$(echo "$RPM_OPT_FLAGS" | sed -e 's/-Wall//' -e 's/-fexceptions/-fno-exceptions/g')
export CFLAGS="$MOZ_OPT_FLAGS"
export CXXFLAGS="$MOZ_OPT_FLAGS"
export PREFIX="%{_prefix}"
export LIBDIR="%{_libdir}"

MOZ_SMP_FLAGS=-j1
# On x86 architectures, Mozilla can build up to 4 jobs at once in parallel,
# however builds tend to fail on other arches when building in parallel.
%ifarch %{ix86} x86_64
[ -z "$RPM_BUILD_NCPUS" ] && \
     RPM_BUILD_NCPUS="`/usr/bin/getconf _NPROCESSORS_ONLN`"
[ "$RPM_BUILD_NCPUS" -ge 2 ] && MOZ_SMP_FLAGS=-j2
[ "$RPM_BUILD_NCPUS" -ge 4 ] && MOZ_SMP_FLAGS=-j4
%endif

export LDFLAGS="%{ldflags}"
make -f client.mk clean
make -f client.mk build STRIP="/bin/true" MOZ_MAKE_FLAGS="$MOZ_SMP_FLAGS" MOZ_SERVICES_SYNC="1" MOZ_PKG_FATAL_WARNINGS=0

%install
rm -rf %{buildroot}

%makeinstall_std -C objdir STRIP=/bin/true MOZ_PKG_FATAL_WARNINGS=0

rm -rf %{buildroot}%{_libdir}/%{name}-devel-%{version_internal}/sdk/lib/*.so
pushd %{buildroot}%{mozappdir}
for i in *.so; do
    ln -s %{mozappdir}/$i %{buildroot}%{_libdir}/%{name}-devel-%{version_internal}/sdk/lib/$i
done
popd

# Copy pc files needed by eclipse
%{__cp} %{buildroot}/%{_libdir}/pkgconfig/libxul.pc \
         %{buildroot}/%{_libdir}/pkgconfig/libxul-unstable.pc
%{__cp} %{buildroot}/%{_libdir}/pkgconfig/libxul-embedding.pc \
         %{buildroot}/%{_libdir}/pkgconfig/libxul-embedding-unstable.pc

# Don't install these in appdir
rm  %{buildroot}%{mozappdir}/LICENSE
rm  %{buildroot}%{mozappdir}/README.xulrunner

%if %_use_syshunspell
# Use the system hunspell dictionaries
rm -rf %{buildroot}%{mozappdir}/dictionaries
ln -s %{_datadir}/dict/mozilla %{buildroot}%{mozappdir}/dictionaries
%endif

# ghost files
mkdir -p %{buildroot}%{mozappdir}/components
touch %{buildroot}%{mozappdir}/components/compreg.dat
touch %{buildroot}%{mozappdir}/components/xpti.dat

# set up our default preferences
cat << EOF > %{buildroot}%{mozappdir}/defaults/pref/vendor.js
pref("general.useragent.vendor", "%{distribution}");
pref("general.useragent.vendorSub", "%{version}-%{release}");
pref("general.useragent.vendorComment", "%{mandriva_release}");
pref("general.smoothScroll", true);
pref("mousewheel.horizscroll.withnokey.action", 0);
pref("mousewheel.horizscroll.withnokey.numlines", 3);
pref("mousewheel.horizscroll.withnokey.sysnumlines", false);
pref("mousewheel.withnokey.action", 0);
pref("mousewheel.withnokey.numlines", 7);
pref("mousewheel.withnokey.sysnumlines", false);
pref("network.protocol-handler.app.mailto", "/usr/bin/xdg-email");
pref("network.protocol-handler.app.mms", "/usr/bin/xdg-open");
pref("network.http.pipelining", true);
pref("network.http.proxy.pipelining", true);
pref("network.http.pipelining.maxrequests", 8);
pref("browser.display.use_system_colors", true);
pref("browser.tabs.loadDivertedInBackground", true);
pref("browser.startup.homepage_override.mstone", "ignore");
pref("browser.backspace_action", 2);
pref("browser.tabs.loadFolderAndReplace", false);
pref("browser.EULA.override", true);
pref("browser.safebrowsing.enabled", true);
pref("browser.shell.checkDefaultBrowser", false);
pref("browser.startup.homepage", "file:///usr/share/doc/HTML/index.html");
pref("browser.ctrlTab.previews", true);
pref("browser.tabs.insertRelatedAfterCurrent", false);
pref("print.print_edge_top", 14); // 1/100 of an inch
pref("print.print_edge_left", 16); // 1/100 of an inch
pref("print.print_edge_right", 16); // 1/100 of an inch
pref("print.print_edge_bottom", 14); // 1/100 of an inch
pref("app.update.enabled", false);
pref("app.update.auto", false);
pref("app.update.autoInstallEnabled", false);
pref("intl.locale.matchOS", true);
pref("toolkit.storage.synchronous", 0);
pref("layout.css.visited_links_enabled", false);
pref("security.ssl.require_safe_negotiation", false);
EOF

mkdir -p %{buildroot}%{_sys_macros_dir}
cat <<FIN >%{buildroot}%{_sys_macros_dir}/%{name}.macros
# Macros from %{name} package
%%xulrunner_major            %{major}
%%xulrunner_version          %{version}
%%xulrunner_libname          %{libname}
%%xulrunner_mozappdir        %{mozappdir}
FIN

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE README.txt
%dir %{mozappdir}
%{_bindir}/xulrunner

%files -n %{libname}
%defattr(-,root,root)
%dir %{mozappdir}
%{mozappdir}/chrome
%{mozappdir}/dictionaries
%dir %{mozappdir}/components
%ghost %{mozappdir}/components/compreg.dat
%ghost %{mozappdir}/components/xpti.dat
%{mozappdir}/components/*.so
%{mozappdir}/components/*.xpt
%{mozappdir}/components/*.manifest
%{mozappdir}/*.manifest
%attr(644, root, root) %{mozappdir}/components/*.js
%{mozappdir}/defaults
%{mozappdir}/modules
%{mozappdir}/plugins
%{mozappdir}/res
%{mozappdir}/*.so
%{mozappdir}/mozilla-xremote-client
#%{mozappdir}/run-mozilla.sh
%{mozappdir}/greprefs.js
%{mozappdir}/xulrunner
#%{mozappdir}/xulrunner-bin
%{mozappdir}/xulrunner-stub
%{mozappdir}/platform.ini
%{mozappdir}/dependentlibs.list
%{mozappdir}/plugin-container
%{mozappdir}/hyphenation

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/%{name}-%{version_internal}
#%{mozappdir}/xpcshell
%{_libdir}/%{name}-devel-%{version_internal}
%{_libdir}/pkgconfig/*.pc
%{_datadir}/idl/%{name}-%{version_internal}
%{_sys_macros_dir}/%{name}.macros


%changelog
* Tue Aug 28 2012 Oden Eriksson <oeriksson@mandriva.com> 15.0-0.1
- 15.0
- P7: fix build (related to multiarch)
- P8: fix build (related to rm usage)

* Mon Jul 23 2012 Oden Eriksson <oeriksson@mandriva.com> 14.0.1-0.1
- 14.0.1

* Mon Jun 18 2012 Oden Eriksson <oeriksson@mandriva.com> 13.0.1-0.1
- 13.0.1

* Fri Jun 08 2012 Oden Eriksson <oeriksson@mandriva.com> 13.0-0.1
- 13.0
- P7: fix path to prtime.h

* Wed Apr 25 2012 Oden Eriksson <oeriksson@mandriva.com> 12.0-0.1
- 12.0
- libvpx-0.9.7 is enough

* Thu Mar 15 2012 Oden Eriksson <oeriksson@mandriva.com> 11.0-0.1
- 11.0
- fix deps
- drop the add-gtkmozembed patch

* Wed Mar 14 2012 Oden Eriksson <oeriksson@mandriva.com> 10.0.2-1
+ Revision: 784984
- 10.0.2
- various fixes

* Wed Jun 29 2011 Guilherme Moro <guilherme@mandriva.com> 5.0-0
+ Revision: 688312
- Update version
- Corrected to 2010.2 backport

* Tue May 17 2011 Oden Eriksson <oeriksson@mandriva.com> 2.0.1-2
+ Revision: 675843
- rebuild

  + Funda Wang <fwang@mandriva.org>
    - conditioned valgrind

* Thu Apr 28 2011 Funda Wang <fwang@mandriva.org> 2.0.1-1
+ Revision: 660097
- br valgrind-devel
- new version 2.0.1

* Thu Apr 21 2011 Funda Wang <fwang@mandriva.org> 2.0-3
+ Revision: 656536
- bump rel
- build with -fpermissive

* Tue Apr 05 2011 Funda Wang <fwang@mandriva.org> 2.0-2
+ Revision: 650798
- rebuild for new libnotify

* Mon Mar 21 2011 Funda Wang <fwang@mandriva.org> 2.0-1
+ Revision: 647260
- 2.0 final

* Sun Mar 20 2011 Funda Wang <fwang@mandriva.org> 2.0-0.rc2.2
+ Revision: 647156
- there is no need requiring self

* Sat Mar 19 2011 Funda Wang <fwang@mandriva.org> 2.0-0.rc2.1
+ Revision: 646518
- rediff mozilla-kde patch
- disable gnomevfs in 2011.0 and later
- new version 2.0 rc2

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Enable kde integration

* Thu Mar 10 2011 Funda Wang <fwang@mandriva.org> 2.0-0.rc1.1
+ Revision: 643223
- New version 4.0 rc1

* Sat Feb 26 2011 Funda Wang <fwang@mandriva.org> 2.0-0.b12.1
+ Revision: 639836
- New version 2.0 b12
  drop merged upstream patches

* Thu Feb 10 2011 Funda Wang <fwang@mandriva.org> 2.0-0.b11.2
+ Revision: 637125
- add upstream patch2 to build under default link options

* Tue Feb 08 2011 Funda Wang <fwang@mandriva.org> 2.0-0.b11.1
+ Revision: 636883
- disable elf-hack as suggested by upstream
- 2.0 b11
- bump cairo req
- now requires libpng 1.4 for build, which is n/a for now

* Thu Jan 27 2011 Funda Wang <fwang@mandriva.org> 2.0-0.b10.1
+ Revision: 633197
- BR nss-static-devel for libcrmf
- New version 2.0 b10
- update system cairo patch from fedora

* Tue Jan 18 2011 Funda Wang <fwang@mandriva.org> 2.0-0.b9.1
+ Revision: 631404
- new version 4.0 b9
- add patches from fedora to make it build with system cairo

* Wed Jan 05 2011 Funda Wang <fwang@mandriva.org> 2.0-0.b8.3mdv2011.0
+ Revision: 628719
- build with system nspr again

* Wed Jan 05 2011 Funda Wang <fwang@mandriva.org> 2.0-0.b8.2mdv2011.0
+ Revision: 628656
- still ship nspr-config for downstream firefox

* Tue Jan 04 2011 Thierry Vignaud <tv@mandriva.org> 2.0-0.b8.1mdv2011.0
+ Revision: 628640
- fix building with internal nspr
- temporary disable --with-system-nspr
- new release

  + Funda Wang <fwang@mandriva.org>
    - update configure parameters

* Thu Nov 11 2010 Thierry Vignaud <tv@mandriva.org> 2.0-0.b7.1mdv2011.0
+ Revision: 595847
- new release

* Thu Sep 16 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0-0.b6.1mdv2011.0
+ Revision: 579039
- update to new version 2.0b6

* Wed Sep 08 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.0-0.b5.2mdv2011.0
+ Revision: 576828
- own mozappdir
- rebuild with latest hunspell package to fix a buffer overflow

* Tue Sep 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0-0.b5.1mdv2011.0
+ Revision: 576694
- update to new version 2.0b5

* Mon Aug 30 2010 Funda Wang <fwang@mandriva.org> 2.0-0.b4.2mdv2011.0
+ Revision: 574423
- build shared js lib (for libmozjs)

* Wed Aug 25 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0-0.b4.1mdv2011.0
+ Revision: 573123
- looks like javaxpcom bridge is broken, disable this again
- Patch27: add missing libraries in LDFLAGS
- enable libproxy support
- re-enable javaxpcom bridge
- fix file list
- update to new version 2.0b4

* Tue Aug 24 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0-0.b3.2mdv2011.0
+ Revision: 572938
+ rebuild (emptylog)

* Sun Aug 22 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0-0.b3.1mdv2011.0
+ Revision: 572051
- update to new version 2.0b3
- disable patches 1,10,12,14,19,20 and 21
- bump version requires for sqlite3 (SQLITE_ENABLE_UNLOCK_NOTIFY is now needed)
- bump version requires for nspr
- temporary disable build against system-wide nss, and also disable javaxpcom bridge build
- disable so called safe-browsing, because we are laready safe(running *NIX), also Google does not need to know about all URLs typed in address bar
- enable canvas3d also known as WebGL
- enable GIO support
- enable WebM support
- update file list

* Sun Jul 25 2010 Funda Wang <fwang@mandriva.org> 1.9.2.8-1mdv2011.0
+ Revision: 558296
- update kde-integration from opensuse
- drop two merged patches

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 1.9.2.8

* Mon Jun 28 2010 Frederic Crozat <fcrozat@mandriva.com> 1.9.2.6-1mdv2010.1
+ Revision: 549282
- sync with firefox 3.6.6

* Sun Jun 27 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9.2.4-1mdv2010.1
+ Revision: 549243
- sync with MDVSA-2010:125

* Mon Jun 14 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9.2.3-10mdv2010.1
+ Revision: 547979
- fix #59759 (needs tighter requires on libnss3)

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - revert my last commit
    - enable mousewheel action acceleration after 3 lines scroll

* Wed Apr 28 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9.2.3-9mdv2010.1
+ Revision: 540282
- fix annoyance

* Fri Apr 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9.2.3-8mdv2010.1
+ Revision: 535413
- actually make that sqlite3 version discovery working...

* Thu Apr 15 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9.2.3-7mdv2010.1
+ Revision: 535077
- fix #58754 (firefox 3.6.3 should require latest sqlite)

* Mon Apr 12 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9.2.3-6mdv2010.1
+ Revision: 533711
- actually use the correct name and major for sqlite3
- bump release
- pull a recent enough sqlite3

* Thu Apr 08 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9.2.3-5mdv2010.1
+ Revision: 533026
- set security.ssl.require_safe_negotiation to false. there's too many sites that are affected, including https://qa.mandriva.com

* Thu Apr 08 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9.2.3-4mdv2010.1
+ Revision: 532887
- synced prefs from the firefox package

* Wed Apr 07 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9.2.3-3mdv2010.1
+ Revision: 532691
- rebuild
- more backport fixes
- adjust deps a bit
- fix deps

* Tue Apr 06 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9.2.3-2mdv2010.1
+ Revision: 532327
- make it backportable to 2008.0

* Sat Apr 03 2010 Funda Wang <fwang@mandriva.org> 1.9.2.3-1mdv2010.1
+ Revision: 530861
- New version 1.9.2.3 (ff 3.6.3)

* Tue Mar 23 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9.2.2-1mdv2010.1
+ Revision: 526885
- it really needs nss-3.12.6
- adjust deps and version
- 3.6.2
- rediffed P21
- adjust deps

  + Claudio Matsuoka <claudio@mandriva.com>
    - launch firefox even if "firefox" dir exists in current directory
    - prevent css script from getting urls of last visited sites by user

* Mon Jan 25 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9.2-2mdv2010.1
+ Revision: 495711
- P22: fix startup notification borkiness

* Thu Jan 21 2010 Funda Wang <fwang@mandriva.org> 1.9.2-1mdv2010.1
+ Revision: 494595
- new version 1.9.2 final (ff 3.6)

* Tue Jan 19 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.9.2-0.rc2.2mdv2010.1
+ Revision: 493928
- add patches for kde integration

* Mon Jan 18 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.2-0.rc2.1mdv2010.1
+ Revision: 493268
- update to new versin 3.6-rc2

* Mon Jan 11 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9.2-0.rc1.2mdv2010.1
+ Revision: 489710
- rebuilt against libjpeg v8

* Sat Jan 09 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.2-0.rc1.1mdv2010.1
+ Revision: 487941
- update to new version 3.6-rc1

* Thu Dec 24 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.2-0.b5.3mdv2010.1
+ Revision: 482069
- Patch18: fix  jemalloc alignment assertion and abort (mozilla bug #526152)
- Patch19: fix plugins cflags

* Sat Dec 19 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.2-0.b5.2mdv2010.1
+ Revision: 480164
+ rebuild (emptylog)

* Sat Dec 19 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.2-0.b5.2
+ Revision: 480038
- use coretext for text rendering

  + Christophe Fergeau <cfergeau@mandriva.com>
    - get rid of python-xpcom
    - make sure libxul-embedding.pc depends on nspr, breaks galeon configure otherwise

* Thu Dec 17 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.2-0.b5.1mdv2010.1
+ Revision: 479842
- update to new version 1.9.2-beta5

* Wed Dec 16 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.9.2-0.b4.3mdv2010.1
+ Revision: 479527
- rebuild with python-xpcom enabled

* Wed Dec 16 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.9.2-0.b4.2mdv2010.1
+ Revision: 479432
- rebuild for main
- switch to xulrunner 1.9.2

* Wed Dec 16 2009 Funda Wang <fwang@mandriva.org> 1.9.1.6-1mdv2010.1
+ Revision: 479142
- new version 1.9.1.6

* Fri Nov 06 2009 Funda Wang <fwang@mandriva.org> 1.9.1.5-1mdv2010.1
+ Revision: 460567
- New version 1.9.1.5 (ff 3.5.5)

  + Oden Eriksson <oeriksson@mandriva.com>
    - fix deps; at least since firefox-3.5.4 sqlite > 3.6.16 is required

  + Gustavo De Nardin <gustavodn@mandriva.com>
    - really enable valgrind
    - requires nspr 4.8, 4.7.5 is not enough

* Sun Sep 13 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.1.3-2mdv2010.0
+ Revision: 438982
- reupload

  + Funda Wang <fwang@mandriva.org>
    - New version 3.5.3

  + Gustavo De Nardin <gustavodn@mandriva.com>
    - java-make-j1.patch: prevent java compilation from exhausting resources when using a too big -j

* Sun Aug 23 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.1.2-4mdv2010.0
+ Revision: 420168
- fix last commit about mouse wheel
  o horizontal scrolls 3 lines
  o vertical scrolls 7 lines
- remove some old, and not used  patches in svn
- remove buildrequires on lcms-devel
- do not overrite defailt optimization flags in --enable-optimize switch
- mousewheel scrolls now three lines on move

* Tue Aug 18 2009 Gustavo De Nardin <gustavodn@mandriva.com> 1.9.1.2-2mdv2010.0
+ Revision: 417560
- added macros for packages requiring xulrunner
- starting with 1.9.0.13 we require specific versions of nss/nspr. (merged
  from r410996)
- new version 1.9.1.2 (Firefox 3.5.2), merged from cooker/xulrunner/branches/current

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 1.9.0.13-3mdv2010.0
+ Revision: 416535
- rebuilt against libjpeg v7

* Fri Aug 07 2009 Eugeni Dodonov <eugeni@mandriva.com> 1.9.0.13-2mdv2010.0
+ Revision: 410996
- Starting with 1.9.0.13 we require specific versions of nss/nspr.

* Tue Aug 04 2009 Eugeni Dodonov <eugeni@mandriva.com> 1.9.0.13-1mdv2010.0
+ Revision: 408632
- Updated to 3.0.13.

* Thu Jul 23 2009 Eugeni Dodonov <eugeni@mandriva.com> 1.9.0.12-3mdv2010.0
+ Revision: 399094
- Disable parallel make.
- Updated to 1.9.0.12 (FF 3.0.12)

* Tue Jun 16 2009 Eugeni Dodonov <eugeni@mandriva.com> 1.9.0.11-2mdv2010.0
+ Revision: 386356
- Updated sqlite3 dependencies for xulrunner 1.9.0.11.

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - use %%mandriva_branch again

* Fri Jun 12 2009 Funda Wang <fwang@mandriva.org> 1.9.0.11-1mdv2010.0
+ Revision: 385512
- New version 1.9.0.11 (FF 3.0.11)

* Mon Jun 01 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.0.10-2mdv2010.0
+ Revision: 382066
- Patch13: fix compiling with gcc-4.4.0
- rebuild for new nspr4 and nss libraries

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 1.9.0.10-1mdv2010.0
+ Revision: 369408
- use mandriva_branch to detect cooker rather than hardcode version

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 3.0.10

* Sat Mar 28 2009 Gustavo De Nardin <gustavodn@mandriva.com> 1.9.0.8-1mdv2009.1
+ Revision: 361833
- new version 1.9.0.8

* Mon Mar 23 2009 Oden Eriksson <oeriksson@mandriva.com> 1.9.0.7-2mdv2009.1
+ Revision: 360728
- rebuilt to pickup new data from the rootcerts (20090115.00) package

* Wed Mar 11 2009 Oden Eriksson <oeriksson@mandriva.com> 1.9.0.7-1mdv2009.1
+ Revision: 354018
- 3.0.7

* Sun Mar 01 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.0.6-2mdv2009.1
+ Revision: 346354
- enable pipelining for proxies
- rise up network.http.pipelining.maxrequests to 8

  + Gustavo De Nardin <gustavodn@mandriva.com>
    - oops! de-inverted the mdkversion test for _requires_exceptions
    - re-added _requires_exceptions removed by fwang on r315183, needed at least for 2009.0

* Tue Feb 03 2009 Funda Wang <fwang@mandriva.org> 1.9.0.6-1mdv2009.1
+ Revision: 336981
- New version 1.9.0.6

* Thu Jan 15 2009 Gustavo De Nardin <gustavodn@mandriva.com> 1.9.0.5-3mdv2009.1
+ Revision: 329911
- buildrequire python-devel for python xpcom bindings
- automate subrel definition when building for older distros
- build xpcom python bindings for Mdv 2009.1 and later
- prepare xulrunner to build on older distro versions too

* Mon Dec 22 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.0.5-2mdv2009.1
+ Revision: 317670
- compile with %%ldflags
- add few warnings to the spec file

  + Funda Wang <fwang@mandriva.org>
    - New version 1.9.0.5
    - fix building with new cflags

  + Gustavo De Nardin <gustavodn@mandriva.com>
    - adding big banner to the spec, to prevent people from messing it up, same thing as firefox

* Thu Nov 13 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1.9.0.4-1mdv2009.1
+ Revision: 302852
- new version, 1.9.0.4
- reverting r299474 file name fix, .cpp is only in firefox-3.1, .c in firefox-3.0

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update firefox tarball to version 3.0.4 (xulrunner 1.9.0.3)
    - update to firefox 3.1-beta1

  + Olivier Blin <blino@mandriva.org>
    - fix jsfile.cpp path in path_len patch

* Sat Sep 27 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.0.3-1mdv2009.0
+ Revision: 288943
- update firefox tarball to version 3.0.3 (xulrunner 1.9.0.3)

* Thu Sep 25 2008 Tiago Salem <salem@mandriva.com.br> 1.9.0.2-1mdv2009.0
+ Revision: 288008
- update firefox tarball to version 3.0.2 (xulrunner 1.9.0.2)

* Sun Sep 14 2008 Frederic Crozat <fcrozat@mandriva.com> 1.9.0.1-16mdv2009.0
+ Revision: 284637
- Update patch10 to specify libdir for mozilla-js, needed for correct rpath linking in google-gadgets

* Tue Sep 02 2008 Tiago Salem <salem@mandriva.com.br> 1.9.0.1-15mdv2009.0
+ Revision: 279088
- obsolete old libmozilla-firefox-devel
- bump release

* Thu Aug 21 2008 Tiago Salem <salem@mandriva.com.br> 1.9.0.1-14mdv2009.0
+ Revision: 274837
- add upstream patches to fix crash with windowless plugins (swfdec)
  #445250 and #435764 in mozilla bugzilla
- bump release

* Wed Aug 20 2008 Götz Waschk <waschk@mandriva.org> 1.9.0.1-13mdv2009.0
+ Revision: 274241
- more devel exceptions

* Wed Aug 20 2008 Götz Waschk <waschk@mandriva.org> 1.9.0.1-12mdv2009.0
+ Revision: 274202
- try to fix requires exceptions again to make the devel package installable

* Tue Aug 19 2008 Tiago Salem <salem@mandriva.com.br> 1.9.0.1-11mdv2009.0
+ Revision: 273964
- removing wrong \\| in the end of _requires_exceptions
- bump release

* Mon Aug 18 2008 Tiago Salem <salem@mandriva.com.br> 1.9.0.1-10mdv2009.0
+ Revision: 273273
- changing defines to be able to submit.
- disabling auto theme selection.
- bump release
- change requires to work on biarch systems
  not using %%arch_tagged to prevent hardcoding the version.

* Wed Aug 13 2008 Tiago Salem <salem@mandriva.com.br> 1.9.0.1-9mdv2009.0
+ Revision: 271429
- fix Requires to libhunspell
- bump release
- add requires to libhunspell (#42745)
- provide libxulrunner for noarch packages (#42680)

* Mon Aug 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.0.1-8mdv2009.0
+ Revision: 270855
- remove wrong requires on nspr-static-devel(?)
- move requires to the xulrunner library subpackage
- manually pull dependancies on libnss3 and libnspr4
- use more appropriate name for unstable devel library
- blacklist all nss libraries, this prevent auto pulling them as a dependencies for xulrunner-devel package
- drop patch 9, completely wrong way
- add buildrequires on nss-static-devel
- fix file list
- Patch9: fix building against system-wide nss library
- enable build against system wide nspr and nss libraries
- add few options to configure stage

  + Frederik Himpe <fhimpe@mandriva.org>
    - Remove BuildRequires: freetype-devel, this is the old freetype. The new
      libfreetype6-devel we need is actually already required by pango-devel

* Fri Aug 01 2008 Tiago Salem <salem@mandriva.com.br> 1.9.0.1-5mdv2009.0
+ Revision: 259973
- add patch to auto select theme on firefox
- do not obsolete mozilla-firefox-gnome-support. It must be obsoleted by firefox package.
- change gre_conf_file to use macros instead of shell variables
- bump release
- obsoleting mozilla-firefox-gnome-support as xulrunner now provides libnkgnomevfs.so

  + Frederik Himpe <fhimpe@mandriva.org>
    - Use major in gre config file name, so that future xulrunner
      versions won't conflict

* Wed Jul 30 2008 Frederik Himpe <fhimpe@mandriva.org> 1.9.0.1-4mdv2009.0
+ Revision: 254206
-Add some BuildRequires on GNOME libraries, which will hopefull bring
 back file type associations in Firefox built with xulrunner
- xulrunner package should depend on xulrunner library

* Tue Jul 29 2008 Frederik Himpe <fhimpe@mandriva.org> 1.9.0.1-3mdv2009.0
+ Revision: 253592
- Add BuildRequires: python
- Remove BuildRequires: gourmet
- (Fedora): cleanup: remove some unneeded install commands
- (Fedora): use system myspell directionaries
- Try to fix permissions of /usr/share/doc/xulrunner
- (Fedora) Package chk files, they are needed for nss and FIPS 140
- Integrate Firefox package vendor.js prefs file, and add from Fedora:
  * pref("toolkit.storage.synchronous", 0); (works around the infamous
    ext3 fsync problem with Firefox 3)
  * pref("intl.locale.matchOS", true); (use system locale for UI)
  * pref("app.update.autoInstallEnabled", false);

* Sun Jul 27 2008 Frederik Himpe <fhimpe@mandriva.org> 1.9.0.1-2mdv2009.0
+ Revision: 250321
- Don't define name, version and release
- Attempt to libify the package so that 64 bits users can also
  install the 32 bits libraries
- Don't make header files biarch aware, installing 32 and 64 bits
  devel pacakges at the same time is not supported on Mandriva anyway
- Don't add xulrunner directory to ld.so.conf.d
- Remove mochitest patch, we are not building these test anyway
- Install README.txt and LICENSE files in /usr/share/doc
- Re-enable startup notification which was disabled by accident

* Sat Jul 26 2008 Frederik Himpe <fhimpe@mandriva.org> 1.9.0.1-1mdv2009.0
+ Revision: 250050
- Synchronise with Fedora SPEC to make xulrunner actually usable:
  * Fix license
  * Add  prefs.js with some Mandriva custom settings
  * Put stable and unstable API development files in different
    directories
  * Create xulrunner-devel-unstable which contains development files
    with unstable API
  * Add Fedora patch to use 1.9 as xulrunner version in the directory
    name instead of the complete version string
  * Add Fedora mochitest patch to fix building with system nspr and
    nss with test enabled
  * Add Fedora pkgconfig patch to fix locations in pkgconfig files
  * Disable building tests
- New version 1.9.0.1
- Make it possible to build xulrunner from the Firefox sources, and
  do so for Xulrunner 1.9.0.1 built from Firefox 3.0.1 sources
- Remove sqlite3 patch, problem fixed upstream
- Only use system sqlite on Mandriva 2009.0 and newer, because
  it requires at least sqlite 3.5.9

* Sun Jul 20 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9-1mdv2009.0
+ Revision: 238857
- initial package for Mandriva(work in progress)
- backport few patches from firefox-3.0
- try better idea for pluginsdir patch, first check /usr/lib64 and then /usr/lib for mozilla plugins
- Created package structure for xulrunner.

